## libhdhomerun 0.20070716

=== Makefile ===

LIBSRCS += hdhomerun_pkt.c
LIBSRCS += hdhomerun_debug.c
LIBSRCS += hdhomerun_discover.c
LIBSRCS += hdhomerun_control.c
LIBSRCS += hdhomerun_channelscan.c
LIBSRCS += hdhomerun_video.c
LIBSRCS += hdhomerun_device.c

CFLAGS += -Wall -O2 -Wmissing-declarations -Wmissing-prototypes -Wstrict-prototypes -Wpointer-arith
CPPFLAGS += -Wall -O2

hdhomerun_config : $(LIBSRCS) hdhomerun_config.c
	gcc $(CFLAGS) $(LIBSRCS) hdhomerun_config.c -lpthread -o $@
	strip $@

hdhomerun_config.exe : $(LIBSRCS) hdhomerun_config.c
	gcc $(CFLAGS) $(LIBSRCS) hdhomerun_config.c -lpthread -liphlpapi -o $@
	strip $@

hdhomerun_mythconfig : $(LIBSRCS) hdhomerun_mythconfig.cpp
	g++ $(CPPFLAGS) $(LIBSRCS) hdhomerun_mythconfig.cpp -lpthread -lmysqlclient -o $@
	strip $@

clean :
	rm -f hdhomerun_config
	rm -f hdhomerun_config.exe
	rm -f hdhomerun_mythconfig

## libhdhomerun 0.20080104

=== Makefile ===
--- 
+++ 
@@ -2,8 +2,9 @@
 LIBSRCS += hdhomerun_pkt.c
 LIBSRCS += hdhomerun_debug.c
 LIBSRCS += hdhomerun_discover.c
+LIBSRCS += hdhomerun_channels.c
+LIBSRCS += hdhomerun_channelscan.c
 LIBSRCS += hdhomerun_control.c
-LIBSRCS += hdhomerun_channelscan.c
 LIBSRCS += hdhomerun_video.c
 LIBSRCS += hdhomerun_device.c
 
@@ -18,10 +19,6 @@
 	gcc $(CFLAGS) $(LIBSRCS) hdhomerun_config.c -lpthread -liphlpapi -o $@
 	strip $@
 
-hdhomerun_mythconfig : $(LIBSRCS) hdhomerun_mythconfig.cpp
-	g++ $(CPPFLAGS) $(LIBSRCS) hdhomerun_mythconfig.cpp -lpthread -lmysqlclient -o $@
-	strip $@
-
 clean :
 	rm -f hdhomerun_config
 	rm -f hdhomerun_config.exe

## libhdhomerun 20100213

=== Makefile ===

LIBSRCS += hdhomerun_channels.c
LIBSRCS += hdhomerun_channelscan.c
LIBSRCS += hdhomerun_control.c
LIBSRCS += hdhomerun_debug.c
LIBSRCS += hdhomerun_device.c
LIBSRCS += hdhomerun_device_selector.c
LIBSRCS += hdhomerun_discover.c
LIBSRCS += hdhomerun_os_posix.c
LIBSRCS += hdhomerun_pkt.c
LIBSRCS += hdhomerun_sock_posix.c
LIBSRCS += hdhomerun_video.c

CC    := $(CROSS_COMPILE)gcc
STRIP := $(CROSS_COMPILE)strip

CFLAGS += -Wall -O2 -Wmissing-declarations -Wmissing-prototypes -Wstrict-prototypes -Wpointer-arith
LDFLAGS += -lpthread
SHARED = -shared -Wl,-soname,libhdhomerun$(LIBEXT)

ifeq ($(OS),Windows_NT)
  BINEXT := .exe
  LIBEXT := .dll
  LDFLAGS += -liphlpapi
else
  OS := $(shell uname -s)
  LIBEXT := .so
  ifeq ($(OS),Linux)
    LDFLAGS += -lrt
  endif
  ifeq ($(OS),SunOS)
    LDFLAGS += -lns -lsocket
  endif
  ifeq ($(OS),Darwin)
    CFLAGS += -arch i386 -arch ppc
    LIBEXT := .dylib
    SHARED := -dynamiclib -install_name libhdhomerun$(LIBEXT)
  endif
endif

all : hdhomerun_config$(BINEXT) libhdhomerun$(LIBEXT)

hdhomerun_config$(BINEXT) : hdhomerun_config.c $(LIBSRCS)
	$(CC) $(CFLAGS) $+ $(LDFLAGS) -o $@
	$(STRIP) $@

libhdhomerun$(LIBEXT) : $(LIBSRCS)
	$(CC) $(CFLAGS) -fPIC -DDLL_EXPORT $(SHARED) $+ $(LDFLAGS) -o $@

clean :
	-rm -f hdhomerun_config$(BINEXT)
	-rm -f libhdhomerun$(LIBEXT)

distclean : clean

%:
	@echo "(ignoring request to make $@)"

.PHONY: all list clean distclean

=== debian/changelog ===
libhdhomerun (20100213-2) unstable; urgency=low

  * Fix sections for each binary package
  * Add README.Debian with configuration instructions
  * Include upstream changelog

 -- Francois Marier <francois@debian.org>  Sun, 13 Jun 2010 16:16:16 +1200

libhdhomerun (20100213-1) unstable; urgency=low

  * Initial Debian release (closes: #584723)

 -- Francois Marier <francois@debian.org>  Sun, 06 Jun 2010 16:30:36 +1200

=== debian/control ===
Source: libhdhomerun
Section: libs
Priority: optional
Homepage: http://www.silicondust.com/downloads/linux
Maintainer: Francois Marier <francois@debian.org>
Build-Depends: debhelper (>= 7.0.50), po-debconf
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/collab-maint/libhdhomerun.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/libhdhomerun.git;a=summary

Package: hdhomerun-config
Section: misc
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Configuration utility for Silicon Dust HD HomeRun
 This package supports the Silicon Dust HDHomeRun.
 The HDHomeRun is a networked, two tuner digital TV tuner compatible with 
 MythTV, SageTV, and VLC.
 .
 This utility can be used for:
  * Discovering your tuner location and name
  * Gathering tuner settings
  * Setting tuner setting
  * Performing scans
  * Performing firmware upgrades

Package: libhdhomerun1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library for Silicon Dust HD HomeRun
 This package supports the Silicon Dust HDHomeRun.
 The HDHomeRun is a networked, two tuner digital TV tuner compatible with
 MythTV, SageTV, and VLC.
 .
 Shared library

Package: libhdhomerun-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, libhdhomerun1 (= ${binary:Version})
Description: Development library for Silicon Dust HD HomeRun
 This package supports the Silicon Dust HDHomeRun.
 The HDHomeRun is a networked, two tuner digital TV tuner compatible with
 MythTV, SageTV, and VLC.
 .
 Development package

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install
	chmod -x $(CURDIR)/debian/libhdhomerun-dev/usr/lib/libhdhomerun/*.h

get-orig-source:
	uscan --force-download

get-orig-changelog:
	w3m -dump http://www.silicondust.com/downloads/hdhomerun_software_changelog | tail -n +33 | head -n -7 > ChangeLog

=== debian/watch ===
version=3

https://www.silicondust.com/downloads/linux \
http://download.silicondust.com/hdhomerun/libhdhomerun_(\d.*).tgz

## libhdhomerun 20100828

=== debian/changelog ===
libhdhomerun (20100828-1) unstable; urgency=low

  * New upstream release
  * Update download URL in debian/copyright, rules and watch
  * Update get-orig-changelog script for new changelog page
  * Bump Standards-Version to 3.9.1
  * Bump debhelper compatibility to 8

 -- Francois Marier <francois@debian.org>  Wed, 22 Dec 2010 14:27:34 +1300

libhdhomerun (20100213-3) unstable; urgency=low

  * Mention the troubleshooting guide in README.Debian

 -- Francois Marier <francois@debian.org>  Sat, 19 Jun 2010 14:32:22 +1200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Homepage: http://www.silicondust.com/downloads/linux
 Maintainer: Francois Marier <francois@debian.org>
-Build-Depends: debhelper (>= 7.0.50), po-debconf
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 8), po-debconf
+Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/git/collab-maint/libhdhomerun.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/libhdhomerun.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -11,4 +11,4 @@
 	uscan --force-download
 
 get-orig-changelog:
-	w3m -dump http://www.silicondust.com/downloads/hdhomerun_software_changelog | tail -n +33 | head -n -7 > ChangeLog
+	w3m -dump http://www.silicondust.com/support/hdhomerun/downloads/software-changelog/ | tail -n +34 | head -n -13 > ChangeLog

## libhdhomerun 20110810

=== debian/changelog ===
libhdhomerun (20110810-1) unstable; urgency=low

  * New upstream release

 -- Francois Marier <francois@debian.org>  Wed, 17 Aug 2011 21:21:33 +1200

libhdhomerun (20110801-3) unstable; urgency=low

  * Fix FTBFS on hurd-i386 (closes: #636507) introduced in last upload.
    Thanks to Pino Toscano for the patch

 -- Francois Marier <francois@debian.org>  Wed, 03 Aug 2011 13:33:02 -0400

libhdhomerun (20110801-2) unstable; urgency=low

  * Fix FTBFS on kfreebsd (closes: #636394)
    Thanks to Christoph Egger for the patch

 -- Francois Marier <francois@debian.org>  Tue, 02 Aug 2011 22:08:47 -0400

libhdhomerun (20110801-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.2

 -- Francois Marier <francois@debian.org>  Tue, 02 Aug 2011 15:25:14 -0400

libhdhomerun (20110323-1) unstable; urgency=low

  * New upstream release

 -- Francois Marier <francois@debian.org>  Fri, 25 Mar 2011 16:30:20 +1300

## libhdhomerun 20111025

=== debian/changelog ===
libhdhomerun (20111025-1) unstable; urgency=low

  * New upstream release

 -- Francois Marier <francois@debian.org>  Wed, 26 Oct 2011 12:08:32 +1300

libhdhomerun (20110925a-1) unstable; urgency=low

  * New upstream release

  * Fix debian/rules get-orig-changelog to exclude footer

 -- Francois Marier <francois@debian.org>  Tue, 27 Sep 2011 20:15:19 +1300

libhdhomerun (20110830-1) UNRELEASED; urgency=low

  * New upstream release (no changes on Linux)

 -- Francois Marier <francois@debian.org>  Wed, 31 Aug 2011 14:41:16 +1200

## libhdhomerun 20120128

=== debian/changelog ===
libhdhomerun (20120128-1) unstable; urgency=low

  * New upstream release

 -- Francois Marier <francois@debian.org>  Mon, 30 Jan 2012 12:27:47 +1300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Homepage: http://www.silicondust.com/downloads/linux
 Maintainer: Francois Marier <francois@debian.org>
 Build-Depends: debhelper (>= 8), po-debconf
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/collab-maint/libhdhomerun.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/libhdhomerun.git;a=summary

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install
	chmod -x $(CURDIR)/debian/libhdhomerun-dev/usr/lib/libhdhomerun/*.h

get-orig-source:
	uscan --force-download

get-orig-changelog:
	w3m -dump http://www.silicondust.com/support/hdhomerun/downloads/software-changelog/ | tail -n +34 | head -n -15 > ChangeLog

## libhdhomerun 20120405

=== debian/changelog ===
libhdhomerun (20120405-1) unstable; urgency=low

  * New upstream release
  * Improve orig-changelog script to remove the footer

  * Bump Standards-Version up to 3.9.3
  * Bump debhelper compatibility to 9

 -- Francois Marier <francois@debian.org>  Wed, 11 Apr 2012 12:15:15 +1200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Homepage: http://www.silicondust.com/downloads/linux
 Maintainer: Francois Marier <francois@debian.org>
-Build-Depends: debhelper (>= 8), po-debconf
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), po-debconf
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/collab-maint/libhdhomerun.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/libhdhomerun.git;a=summary

## libhdhomerun 20130328

=== debian/changelog ===
libhdhomerun (20130328-1) unstable; urgency=low

  * New upstream release
  * Add CPPFLAGS to the upstream Makefile
  * Bump Standards-Version up to 3.9.4

 -- Francois Marier <francois@debian.org>  Sun, 19 May 2013 18:04:56 +1200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Homepage: http://www.silicondust.com/downloads/linux
 Maintainer: Francois Marier <francois@debian.org>
 Build-Depends: debhelper (>= 9), po-debconf
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/git/collab-maint/libhdhomerun.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/libhdhomerun.git;a=summary

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install
	chmod -x $(CURDIR)/debian/libhdhomerun-dev/usr/lib/libhdhomerun/*.h

get-orig-source:
	uscan --force-download

get-orig-changelog:
	w3m -dump http://www.silicondust.com/support/hdhomerun/downloads/software-changelog/ | tail -n +34 | head -n -18 > ChangeLog

## libhdhomerun 20140121

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
     LDFLAGS += -lrt
   endif
   ifeq ($(OS),SunOS)
-    LDFLAGS += -lns -lsocket
+    LDFLAGS += -lsocket
   endif
   ifeq ($(OS),Darwin)
     CFLAGS += -arch i386 -arch ppc

=== debian/changelog ===
libhdhomerun (20140121-1) unstable; urgency=medium

  * New upstream release
  * Switch to a machine-readable debian/copyright
  * Update upstream license in debian/copyright (LGPL3+ -> LGPL2.1+)

 -- Francois Marier <francois@debian.org>  Sun, 26 Jan 2014 18:54:00 +1300

libhdhomerun (20130328-2) unstable; urgency=medium

  * Install .h files in /usr/include/libhdhomerun/ (closes: #731644)
  * Use canonical VCS URLs in debian/control
  * Bump Standards-Version up to 3.9.5

 -- Francois Marier <francois@debian.org>  Sun, 08 Dec 2013 20:32:38 +1300

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Homepage: http://www.silicondust.com/downloads/linux
 Maintainer: Francois Marier <francois@debian.org>
 Build-Depends: debhelper (>= 9), po-debconf
-Standards-Version: 3.9.4
-Vcs-Git: git://git.debian.org/git/collab-maint/libhdhomerun.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/libhdhomerun.git;a=summary
+Standards-Version: 3.9.5
+Vcs-Git: git://anonscm.debian.org/collab-maint/libhdhomerun.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libhdhomerun.git;a=summary
 
 Package: hdhomerun-config
 Section: misc

## libhdhomerun 20140604

=== debian/changelog ===
libhdhomerun (20140604-2) unstable; urgency=medium

  * Bump Standards-Version up to 3.9.6

 -- Francois Marier <francois@debian.org>  Thu, 18 Sep 2014 23:49:34 +1200

libhdhomerun (20140604-1) unstable; urgency=medium

  * New upstream release

 -- Francois Marier <francois@debian.org>  Thu, 05 Jun 2014 22:56:47 +1200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Homepage: http://www.silicondust.com/downloads/linux
 Maintainer: Francois Marier <francois@debian.org>
 Build-Depends: debhelper (>= 9), po-debconf
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/libhdhomerun.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libhdhomerun.git;a=summary

## libhdhomerun 20150826

=== Makefile ===
--- 
+++ 
@@ -32,7 +32,7 @@
     LDFLAGS += -lsocket
   endif
   ifeq ($(OS),Darwin)
-    CFLAGS += -arch i386 -arch ppc
+    CFLAGS += -arch i386 -arch x86_64
     LIBEXT := .dylib
     SHARED := -dynamiclib -install_name libhdhomerun$(LIBEXT)
   endif

=== debian/changelog ===
libhdhomerun (20150826-2) unstable; urgency=medium

  * Bump the soname to 2 due to ABI-breaking changes (closes: #798069)
  * Fix last-update of debian/patches/upstream-changelog.patch

 -- Francois Marier <francois@debian.org>  Sat, 05 Sep 2015 12:30:48 -0700

libhdhomerun (20150826-1) unstable; urgency=medium

  * New upstream release 
  * Run wrap-and-sort

 -- Francois Marier <francois@debian.org>  Fri, 28 Aug 2015 22:14:35 -0700

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Configuration utility for Silicon Dust HD HomeRun
  This package supports the Silicon Dust HDHomeRun.
- The HDHomeRun is a networked, two tuner digital TV tuner compatible with 
+ The HDHomeRun is a networked, two tuner digital TV tuner compatible with
  MythTV, SageTV, and VLC.
  .
  This utility can be used for:
@@ -24,7 +24,7 @@
   * Performing scans
   * Performing firmware upgrades
 
-Package: libhdhomerun1
+Package: libhdhomerun2
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Library for Silicon Dust HD HomeRun
@@ -37,7 +37,9 @@
 Package: libhdhomerun-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, ${shlibs:Depends}, libhdhomerun1 (= ${binary:Version})
+Depends: libhdhomerun2 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Development library for Silicon Dust HD HomeRun
  This package supports the Silicon Dust HDHomeRun.
  The HDHomeRun is a networked, two tuner digital TV tuner compatible with

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install
	chmod -x $(CURDIR)/debian/libhdhomerun-dev/usr/include/libhdhomerun/*.h

get-orig-source:
	uscan --force-download

get-orig-changelog:
	w3m -dump http://www.silicondust.com/support/hdhomerun/downloads/software-changelog/ | tail -n +35 | head -n -22 > ChangeLog

=== debian/watch ===
version=3

http://www.silicondust.com/support/hdhomerun/downloads/linux/ \
http://download.silicondust.com/hdhomerun/libhdhomerun_(\d.*).tgz

## libhdhomerun 20161117

=== debian/changelog ===
libhdhomerun (20161117-2) unstable; urgency=medium

  [ Joe Yasi ]
  * Bump the soname to 3 due to ABI-breaking changes

 -- Francois Marier <francois@debian.org>  Sun, 04 Dec 2016 21:44:15 -0800

libhdhomerun (20161117-1) unstable; urgency=medium

  * New upstream release

 -- Francois Marier <francois@debian.org>  Mon, 28 Nov 2016 22:12:07 -0800

libhdhomerun (20161107-1) unstable; urgency=medium

  * New upstream release
    - rebase CFLAGS patch and add CFLAGS and LDFLAGS
    - point to renamed README in *.docs
  * Turn on bindnow hardening option (lintian notice)

 -- Francois Marier <francois@debian.org>  Wed, 09 Nov 2016 12:44:36 -0800

libhdhomerun (20150826-3) unstable; urgency=medium

  * Fix the watch file
  * Switch git URLs to HTTPS
  * Bump Standards-Version to 3.9.8

 -- Francois Marier <francois@debian.org>  Wed, 29 Jun 2016 22:44:28 -0700

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Homepage: http://www.silicondust.com/downloads/linux
 Maintainer: Francois Marier <francois@debian.org>
 Build-Depends: debhelper (>= 9), po-debconf
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/collab-maint/libhdhomerun.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libhdhomerun.git;a=summary
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/libhdhomerun.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/libhdhomerun.git
 
 Package: hdhomerun-config
 Section: misc
@@ -24,7 +24,7 @@
   * Performing scans
   * Performing firmware upgrades
 
-Package: libhdhomerun2
+Package: libhdhomerun3
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Library for Silicon Dust HD HomeRun
@@ -37,7 +37,7 @@
 Package: libhdhomerun-dev
 Architecture: any
 Section: libdevel
-Depends: libhdhomerun2 (= ${binary:Version}),
+Depends: libhdhomerun3 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Development library for Silicon Dust HD HomeRun

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,5 @@
 #!/usr/bin/make -f
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
 %:
 	dh $@

=== debian/watch ===
version=3

https://www.silicondust.com/support/linux/ \
http://download.silicondust.com/hdhomerun/libhdhomerun_(\d.*).tgz

## libhdhomerun 20170815

=== debian/changelog ===
libhdhomerun (20170815-2) unstable; urgency=medium

  [ Francois Marier ]
  * Set "Multi-Arch: same" (Multiarch hinter)
  * Update the homepage URL in debian/control and debian/copyright
  * Switch to HTTPS URLs in debian/copyright
  * Bump Standards-Version up to 4.0.1

  [ Joe Yasi ]
  * Bump the soname to 4 due to ABI-breaking changes

 -- Francois Marier <francois@debian.org>  Sat, 19 Aug 2017 16:52:24 -0700

libhdhomerun (20170815-1) unstable; urgency=medium

  * New upstream version
  * Bump Standards-Version up to 4.0.0
  * Bump debhelper compatibility to 10

 -- Francois Marier <francois@debian.org>  Thu, 17 Aug 2017 22:03:49 -0700

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: libhdhomerun
 Section: libs
 Priority: optional
-Homepage: http://www.silicondust.com/downloads/linux
+Homepage: https://www.silicondust.com/support/linux/
 Maintainer: Francois Marier <francois@debian.org>
-Build-Depends: debhelper (>= 9), po-debconf
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10), po-debconf
+Standards-Version: 4.0.1
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/libhdhomerun.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/libhdhomerun.git
 
@@ -24,7 +24,7 @@
   * Performing scans
   * Performing firmware upgrades
 
-Package: libhdhomerun3
+Package: libhdhomerun4
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Library for Silicon Dust HD HomeRun
@@ -37,9 +37,10 @@
 Package: libhdhomerun-dev
 Architecture: any
 Section: libdevel
-Depends: libhdhomerun3 (= ${binary:Version}),
+Depends: libhdhomerun4 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
+Multi-Arch: same
 Description: Development library for Silicon Dust HD HomeRun
  This package supports the Silicon Dust HDHomeRun.
  The HDHomeRun is a networked, two tuner digital TV tuner compatible with

## libhdhomerun 20180327

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 CC    := $(CROSS_COMPILE)gcc
 STRIP := $(CROSS_COMPILE)strip
 
-CFLAGS += -Wall -O2 -Wmissing-declarations -Wmissing-prototypes -Wstrict-prototypes -Wpointer-arith
+CFLAGS += -O2 -Wall -Wextra -Wmissing-declarations -Wmissing-prototypes -Wstrict-prototypes -Wpointer-arith -Wno-unused-parameter
 LDFLAGS += -lpthread
 SHARED = -shared -Wl,-soname,libhdhomerun$(LIBEXT)

=== debian/changelog ===
libhdhomerun (20180327-1) unstable; urgency=medium

  * New upstream release

  * Bump Standards-Version up to 4.1.3
  * Bump debhelper compat to 11
  * Move VCS URLs to Salsa
  * Remove whitespace from debian/changelog
  * Override a bogus lintian warning

 -- Francois Marier <francois@debian.org>  Mon, 02 Apr 2018 12:26:34 -0700

libhdhomerun (20170930-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Do not strip with the wrong strip at build. (closes: #879581)

  [ Francois Marier ]
  * Mangle the download URL in debian/watch to force HTTPS.

 -- Francois Marier <francois@debian.org>  Sun, 22 Oct 2017 22:09:10 -0700

libhdhomerun (20170930-2) unstable; urgency=medium

  * Make libhdhomerun4 "Multi-Arch: same" (closes: #878099).
    Thanks to Ian Campbell for the patch.
  * Run "wrap-and-sort -ast"

 -- Francois Marier <francois@debian.org>  Tue, 10 Oct 2017 11:06:35 -0700

libhdhomerun (20170930-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version up to 4.1.1

 -- Francois Marier <francois@debian.org>  Tue, 03 Oct 2017 09:08:20 -0700

=== debian/control ===
Source: libhdhomerun
Section: libs
Priority: optional
Homepage: https://www.silicondust.com/support/linux/
Maintainer: Francois Marier <francois@debian.org>
Build-Depends:
 debhelper (>= 11),
 dh-exec (>=0.3),
 po-debconf,
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/debian/libhdhomerun.git
Vcs-Browser: https://salsa.debian.org/debian/libhdhomerun

Package: hdhomerun-config
Section: misc
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Configuration utility for Silicon Dust HD HomeRun
 This package supports the Silicon Dust HDHomeRun.
 The HDHomeRun is a networked, two tuner digital TV tuner compatible with
 MythTV, SageTV, and VLC.
 .
 This utility can be used for:
  * Discovering your tuner location and name
  * Gathering tuner settings
  * Setting tuner setting
  * Performing scans
  * Performing firmware upgrades

Package: libhdhomerun4
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Library for Silicon Dust HD HomeRun
 This package supports the Silicon Dust HDHomeRun.
 The HDHomeRun is a networked, two tuner digital TV tuner compatible with
 MythTV, SageTV, and VLC.
 .
 Shared library

Package: libhdhomerun-dev
Architecture: any
Section: libdevel
Depends:
 libhdhomerun4 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Development library for Silicon Dust HD HomeRun
 This package supports the Silicon Dust HDHomeRun.
 The HDHomeRun is a networked, two tuner digital TV tuner compatible with
 MythTV, SageTV, and VLC.
 .
 Development package

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- STRIP=/bin/true

override_dh_install:
	dh_install
	chmod -x $(CURDIR)/debian/libhdhomerun-dev/usr/include/libhdhomerun/*.h

get-orig-source:
	uscan --force-download

get-orig-changelog:
	w3m -dump https://www.silicondust.com/support/hdhomerun/downloads/software-changelog/ | tail -n +35 | head -n -22 > ChangeLog

## libhdhomerun 20180817

=== debian/changelog ===
libhdhomerun (20180817-2) unstable; urgency=medium

  * Bump Standards-Version to 4.3.0
  * Bump debhelper to 12

 -- Francois Marier <francois@debian.org>  Fri, 01 Mar 2019 22:36:22 -0800

libhdhomerun (20180817-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version up to 4.2.0
  * Bump copyright years in debian/copyright
  * Remove unnecessary get-orig-source target in debian/rules

 -- Francois Marier <francois@debian.org>  Tue, 21 Aug 2018 20:39:31 -0700

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Homepage: https://www.silicondust.com/support/linux/
 Maintainer: Francois Marier <francois@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper (>= 12),
  dh-exec (>=0.3),
  po-debconf,
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/debian/libhdhomerun.git
 Vcs-Browser: https://salsa.debian.org/debian/libhdhomerun

=== debian/watch ===
version=3

opts=downloadurlmangle=s/http:/https:/ https://www.silicondust.com/support/linux/ \
http://download.silicondust.com/hdhomerun/libhdhomerun_(\d.*).tgz

## libhdhomerun 20190621

=== debian/changelog ===
libhdhomerun (20190621-2) unstable; urgency=medium

  * Bump Standards-Version up to 4.4.0

 -- Francois Marier <francois@debian.org>  Fri, 12 Jul 2019 09:03:36 -0700

libhdhomerun (20190621-1) unstable; urgency=medium

  * New upstream release
  * Set libhdhomerun-dev to "Multi-Arch: same" (Multiarch hinter)

 -- Francois Marier <francois@debian.org>  Sat, 06 Jul 2019 13:37:17 -0700

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper (>= 12),
  dh-exec (>=0.3),
  po-debconf,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/debian/libhdhomerun.git
 Vcs-Browser: https://salsa.debian.org/debian/libhdhomerun
 
@@ -45,6 +45,7 @@
 Package: libhdhomerun-dev
 Architecture: any
 Section: libdevel
+Multi-Arch: same
 Depends:
  libhdhomerun4 (= ${binary:Version}),
  ${misc:Depends},

## libhdhomerun 20200225

=== debian/changelog ===
libhdhomerun (20200225-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version up to 4.5.0.
  * Replace debian/compat with debhelper-compat (= 12).
  * Build without root.

 -- Francois Marier <francois@debian.org>  Tue, 25 Feb 2020 13:11:36 -0800

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Homepage: https://www.silicondust.com/support/linux/
 Maintainer: Francois Marier <francois@debian.org>
 Build-Depends:
- debhelper (>= 12),
+ debhelper-compat (= 12),
  dh-exec (>=0.3),
  po-debconf,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/libhdhomerun.git
 Vcs-Browser: https://salsa.debian.org/debian/libhdhomerun

## libhdhomerun 20200521

=== debian/changelog ===
libhdhomerun (20200521-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Francois Marier <francois@debian.org>  Mon, 03 Aug 2020 09:36:41 -0700

libhdhomerun (20200521-1) unstable; urgency=medium

  * New upstream release
  * Fix watch file and remove unnecessary lintian override.
  * Bump debhelper compatibility to 13.

 -- Francois Marier <francois@debian.org>  Mon, 25 May 2020 12:08:03 -0700

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Homepage: https://www.silicondust.com/support/linux/
 Maintainer: Francois Marier <francois@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-exec (>=0.3),
  po-debconf,
 Standards-Version: 4.5.0

=== debian/watch ===
version=3

https://www.silicondust.com/support/linux/ https://download.silicondust.com/hdhomerun/libhdhomerun_(\d.*).tgz

## libhdhomerun 20210210

=== debian/changelog ===
libhdhomerun (20210210-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 26 Jun 2021 18:03:57 -0700

libhdhomerun (20210210-1) unstable; urgency=medium

  * New upstream release

 -- Francois Marier <francois@debian.org>  Thu, 11 Feb 2021 05:11:18 -0800

libhdhomerun (20200907-2) unstable; urgency=medium

  * Bump Standards-Version up to 4.5.1.
  * Bump copyright years in debian/copyright.
  * Add upstream metadata file.

 -- Francois Marier <francois@debian.org>  Mon, 18 Jan 2021 23:11:57 -0800

libhdhomerun (20200907-1) unstable; urgency=medium

  * New upstream release (no code changes)
  * Fix encoding error in upstream README (lintian warning).
  * Upgrade debian/watch to version 4 (no changes needed).

 -- Francois Marier <francois@debian.org>  Fri, 11 Sep 2020 15:14:20 -0700

=== debian/control ===
Source: libhdhomerun
Section: libs
Priority: optional
Homepage: https://www.silicondust.com/support/linux/
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Francois Marier <francois@debian.org>
Build-Depends: debhelper-compat (= 13), dh-exec (>=0.3), po-debconf
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/libhdhomerun.git
Vcs-Browser: https://salsa.debian.org/debian/libhdhomerun

Package: hdhomerun-config
Section: misc
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Configuration utility for Silicon Dust HD HomeRun
 This package supports the Silicon Dust HDHomeRun.
 The HDHomeRun is a networked, two tuner digital TV tuner compatible with
 MythTV, SageTV, and VLC.
 .
 This utility can be used for:
  * Discovering your tuner location and name
  * Gathering tuner settings
  * Setting tuner setting
  * Performing scans
  * Performing firmware upgrades

Package: libhdhomerun4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Library for Silicon Dust HD HomeRun
 This package supports the Silicon Dust HDHomeRun.
 The HDHomeRun is a networked, two tuner digital TV tuner compatible with
 MythTV, SageTV, and VLC.
 .
 Shared library

Package: libhdhomerun-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libhdhomerun4 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Development library for Silicon Dust HD HomeRun
 This package supports the Silicon Dust HDHomeRun.
 The HDHomeRun is a networked, two tuner digital TV tuner compatible with
 MythTV, SageTV, and VLC.
 .
 Development package

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- STRIP=/bin/true
	cat $(CURDIR)/README.md | iconv -f latin1 -t utf8 > $(CURDIR)/README.md

override_dh_install:
	dh_install
	chmod -x $(CURDIR)/debian/libhdhomerun-dev/usr/include/libhdhomerun/*.h

get-orig-changelog:
	w3m -dump https://www.silicondust.com/support/hdhomerun/downloads/software-changelog/ | tail -n +35 | head -n -22 > ChangeLog

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## libhdhomerun 20210624

=== debian/changelog ===
libhdhomerun (20210624-1) unstable; urgency=medium

  * New upstream release

 -- Francois Marier <francois@debian.org>  Sat, 21 Aug 2021 12:22:03 -0700

=== debian/control ===
Source: libhdhomerun
Section: libs
Priority: optional
Homepage: https://www.silicondust.com/support/linux/
Maintainer: Francois Marier <francois@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-exec (>=0.3),
 po-debconf,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/libhdhomerun.git
Vcs-Browser: https://salsa.debian.org/debian/libhdhomerun

Package: hdhomerun-config
Section: misc
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Configuration utility for Silicon Dust HD HomeRun
 This package supports the Silicon Dust HDHomeRun.
 The HDHomeRun is a networked, two tuner digital TV tuner compatible with
 MythTV, SageTV, and VLC.
 .
 This utility can be used for:
  * Discovering your tuner location and name
  * Gathering tuner settings
  * Setting tuner setting
  * Performing scans
  * Performing firmware upgrades

Package: libhdhomerun4
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Library for Silicon Dust HD HomeRun
 This package supports the Silicon Dust HDHomeRun.
 The HDHomeRun is a networked, two tuner digital TV tuner compatible with
 MythTV, SageTV, and VLC.
 .
 Shared library

Package: libhdhomerun-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libhdhomerun4 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Development library for Silicon Dust HD HomeRun
 This package supports the Silicon Dust HDHomeRun.
 The HDHomeRun is a networked, two tuner digital TV tuner compatible with
 MythTV, SageTV, and VLC.
 .
 Development package

## libhdhomerun 20220303

=== Makefile ===
--- 
+++ 
@@ -32,7 +32,7 @@
     LDFLAGS += -lsocket
   endif
   ifeq ($(OS),Darwin)
-    CFLAGS += -arch i386 -arch x86_64
+    CFLAGS += -arch x86_64
     LIBEXT := .dylib
     SHARED := -dynamiclib -install_name libhdhomerun$(LIBEXT)
   endif

=== debian/changelog ===
libhdhomerun (20220303-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dh-exec.

  [ Francois Marier ]
  * Bump Standards-Version up to 4.6.2.
  * Bump copyright year in debian/copyright.

 -- Francois Marier <francois@debian.org>  Thu, 26 Jan 2023 21:01:27 -0800

libhdhomerun (20220303-2) unstable; urgency=medium

  * Update upstream changelog.

 -- Francois Marier <francois@debian.org>  Fri, 11 Mar 2022 13:31:34 -0800

libhdhomerun (20220303-1) unstable; urgency=medium

  * New upstream release (no changes)
  * Disable watch file (see #1007135).
  * Bump Standards-Version up to 4.6.0.
  * Bump copyright years in debian/copyright.

 -- Francois Marier <francois@debian.org>  Fri, 11 Mar 2022 11:41:46 -0800

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Maintainer: Francois Marier <francois@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-exec (>=0.3),
+ dh-exec,
  po-debconf,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/libhdhomerun.git
 Vcs-Browser: https://salsa.debian.org/debian/libhdhomerun

=== debian/watch ===
#version=4
#
#https://download.silicondust.com/hdhomerun/libhdhomerun.tgz https://download.silicondust.com/hdhomerun/libhdhomerun_(\d.*).tgz

# Disabled because uscan doesn't support extracting version information from the HTML of a redirect page.
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1007135

## libhdhomerun 20230719

=== Makefile ===

ifneq ($(OS),Windows_NT)
OS := $(shell uname -s)
endif

CC    := $(CROSS_COMPILE)gcc
STRIP := $(CROSS_COMPILE)strip

CFLAGS += -O2 -Wall -Wextra -Wmissing-declarations -Wmissing-prototypes -Wstrict-prototypes -Wpointer-arith -Wno-unused-parameter
LDFLAGS += -lpthread
SHARED = -shared -Wl,-soname,libhdhomerun$(LIBEXT)

IF_DETECT := getifaddrs
BINEXT :=
LIBEXT := .so

ifeq ($(OS),Windows_NT)
  IF_DETECT := netdevice
  BINEXT := .exe
  LIBEXT := .dll
  LDFLAGS += -liphlpapi
endif

ifeq ($(OS),Linux)
  IF_DETECT := netlink
  LDFLAGS += -lrt
endif

LIBSRCS += hdhomerun_channels.c
LIBSRCS += hdhomerun_channelscan.c
LIBSRCS += hdhomerun_control.c
LIBSRCS += hdhomerun_debug.c
LIBSRCS += hdhomerun_device.c
LIBSRCS += hdhomerun_device_selector.c
LIBSRCS += hdhomerun_discover.c
LIBSRCS += hdhomerun_os_posix.c
LIBSRCS += hdhomerun_pkt.c
LIBSRCS += hdhomerun_sock.c
LIBSRCS += hdhomerun_sock_posix.c
LIBSRCS += hdhomerun_sock_$(IF_DETECT).c
LIBSRCS += hdhomerun_video.c

ifeq ($(OS),Darwin)

TARGET_X64 := -target x86_64-apple-macos10.11
TARGET_ARM64 := -target arm64-apple-macos11

all : hdhomerun_config libhdhomerun.dylib

hdhomerun_config_x64 : hdhomerun_config.c $(LIBSRCS)
	$(CC) $(TARGET_X64) $(CFLAGS) $+ $(LDFLAGS) -o $@
	$(STRIP) $@

hdhomerun_config_arm64 : hdhomerun_config.c $(LIBSRCS)
	$(CC) $(TARGET_ARM64) $(CFLAGS) $+ $(LDFLAGS) -o $@
	$(STRIP) $@

hdhomerun_config : hdhomerun_config_x64 hdhomerun_config_arm64
	lipo -create -output hdhomerun_config hdhomerun_config_x64 hdhomerun_config_arm64

libhdhomerun_x64.dylib : $(LIBSRCS)
	$(CC) $(TARGET_X64) $(CFLAGS) -DDLL_EXPORT -fPIC -dynamiclib $+ $(LDFLAGS) -o $@

libhdhomerun_arm64.dylib : $(LIBSRCS)
	$(CC) $(TARGET_ARM64) $(CFLAGS) -DDLL_EXPORT -fPIC -dynamiclib $+ $(LDFLAGS) -o $@

libhdhomerun.dylib : libhdhomerun_x64.dylib libhdhomerun_arm64.dylib
	lipo -create -output libhdhomerun.dylib libhdhomerun_x64.dylib libhdhomerun_arm64.dylib

else

all : hdhomerun_config$(BINEXT) libhdhomerun$(LIBEXT)

hdhomerun_config$(BINEXT) : hdhomerun_config.c $(LIBSRCS)
	$(CC) $(CFLAGS) $+ $(LDFLAGS) -o $@
	$(STRIP) $@

libhdhomerun$(LIBEXT) : $(LIBSRCS)
	$(CC) $(CFLAGS) -DDLL_EXPORT -fPIC $(SHARED) $+ $(LDFLAGS) -o $@

endif

clean :
	-rm -f hdhomerun_config$(BINEXT)
	-rm -f libhdhomerun$(LIBEXT)

distclean : clean

%:
	@echo "(ignoring request to make $@)"

.PHONY: all list clean distclean

=== debian/changelog ===
libhdhomerun (20230719-1) unstable; urgency=medium

  * New upstream release with IPv6 support
  * Bump the soname to 5 due to ABI breaking changes.
  * Stop shipping unnecessary upstream README (closes: #1047323).
  * Drop kfreebsd patch since that arch has been removed from Debian.
  * Note that a patch was forwarded by email.
  * Bump upstream copyright year in debian/copyright.

 -- Francois Marier <francois@debian.org>  Sat, 09 Sep 2023 00:14:23 -0700

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
   * Performing scans
   * Performing firmware upgrades
 
-Package: libhdhomerun4
+Package: libhdhomerun5
 Architecture: any
 Depends:
  ${misc:Depends},
@@ -48,7 +48,7 @@
 Section: libdevel
 Multi-Arch: same
 Depends:
- libhdhomerun4 (= ${binary:Version}),
+ libhdhomerun5 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Development library for Silicon Dust HD HomeRun

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- STRIP=/bin/true

override_dh_install:
	dh_install
	chmod -x $(CURDIR)/debian/libhdhomerun-dev/usr/include/libhdhomerun/*.h

get-orig-changelog:
	w3m -dump https://www.silicondust.com/support/hdhomerun/downloads/software-changelog/ | tail -n +35 | head -n -22 > ChangeLog
